/*
Copyright (C) 2012 Taisuke Kobayashi
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
import java.nio.charset.Charset;

public class TcpBase extends Thread {

  static final char MESSAGE_TYPE_CONNECT = 'c', MESSAGE_TYPE_USERID = 'i', MESSAGE_TYPE_REMOTE_DOWN = 'd',
    MESSAGE_TYPE_REQUEST_SEND_IMAGE = 'R', MESSAGE_TYPE_CANCEL_SEND_IMAGE = 'C';
  private final String CHARSET_NAME = "UTF-8";
  protected Snapshot snapshot;
  protected Charset charset;

  public TcpBase(Snapshot _snapshot){
    snapshot = _snapshot;
    charset = Charset.forName(CHARSET_NAME);
  }

}
